#
# spec file for package chronos
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.francescogaglione.chronos
Name:           chronos
Version:        0.1.4+3
Release:        1.1
Summary:        Chronos is a simple Pomodoro timer
License:        GPL-3.0-only
URL:            https://github.com/cosmic-utils/Chronos
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1 -p1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{appname}.svg

%changelog
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 0.1.4+3:
  * Update chronos.ftl
  * update metainfo
  * italian translation
  * activate notification setting
  * Update chronos.ftl
- remove fix-justfile.patch, as upstream applied my patch
* Sat Oct 12 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
